plugins {
    steamwar.kotlin
    application
}

kotlin {
    jvmToolchain(21)
}

application {
    mainClass.set("de.steamwar.MainKt")
    applicationName = "sw"
}

dependencies {
    implementation(project(":CommonCore:SQL"))

    implementation("com.github.ajalt.clikt:clikt:5.0.3")
    implementation("com.github.ajalt.mordant:mordant:3.0.2")
    implementation(libs.logback)
    implementation("org.yaml:snakeyaml:2.2")
    implementation("org.mariadb.jdbc:mariadb-java-client:3.3.1")

    implementation(libs.exposedCore)
    implementation(libs.exposedDao)
    implementation(libs.exposedJdbc)
    implementation(libs.exposedTime)
}
